<div id="nav-col">
    <div class="sidenav" aria-label="Navigation">
        <button class="dropdown-btn">Programmierung
            <i class="fa fa-caret-down"></i>
        </button>
        <div class="dropdown-container" style="display: none;">
            <button class="dropdown-btn">Befehle, Variablen
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Grundlagen/Der_erste_Kontakt.html">Der erste Kontakt</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Grundlagen/Arbeit_mit_Parametern.html">Arbeit mit Parametern</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Grundlagen/Datentypen_in_Python.html">Datentypen in Python</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Fortgeschrittenes/Listen.html">Listen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Grundlagen/Fehlermeldungen_interpretieren.html">Fehlermeldungen interpretieren</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Grundlagen/Struktogramme.html">Struktogramme</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Grundlagen/Variablen_und_Eingabe.html">Variablen und Eingabe</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Grundlagen/Zusammenfassung.html">Zusammenfassung</a>
            </div>
            <button class="dropdown-btn">Operatoren, Funktionen, Parameter
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Operatoren_Funktionen_Parameter/Neue_Funktionen.html">Neue Funktionen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Operatoren_Funktionen_Parameter/Operatoren.html">Operatoren</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Operatoren_Funktionen_Parameter/Funktionen_in_Funktionen.html">Funktionen in Funktionen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Operatoren_Funktionen_Parameter/Zusammenfassung.html">Zusammenfassung</a>
            </div>
            <button class="dropdown-btn">Algorithmische Grundstrukturen
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Kontrollstrukturen/Grundlagen.html">Grundlagen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Kontrollstrukturen/Verzweigungen.html">Verzweigungen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Programmierung/Kontrollstrukturen/Schleifen.html">Schleifen</a>
            </div>
        </div>
        <button class="dropdown-btn">Datenbanken
            <i class="fa fa-caret-down"></i>
        </button>
        <div class="dropdown-container" style="display: none;">
            <button class="dropdown-btn">Grundlagen
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Grundlagen/Wozu_Datenbanken.html">Wozu Datenbanken?</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Grundlagen/Arten.html">Formen von Datenbanken</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Grundlagen/Schichten.html">Schichtenarchitektur</a>
            </div>
            <button class="dropdown-btn">Konzeptueller Entwurf
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Konzeptueller_Entwurf/E-R-Modell.html">Das ER-Modell</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Konzeptueller_Entwurf/Beziehungen.html">Kardinalitäten</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Konzeptueller_Entwurf/Zusammenfassung.html">Zusammenfassung</a>
            </div>
            <button class="dropdown-btn">Logischer Entwurf
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Logischer_Entwurf/Relationenmodell.html">Das Relationenmodell</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Konzeptueller_Entwurf/Schluessel.html">Schlüssel</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Logischer_Entwurf/Transformation.html">Transformation</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Logischer_Entwurf/Relationale_Algebra.html">Relationale Algebra</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Logischer_Entwurf/Uebung_Relationale_Algebra.html">Übung Relationale Algebra</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Logischer_Entwurf/Zusammenfassung.html">Zusammenfassung</a>
            </div>
            <button class="dropdown-btn">Umsetzung
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Umsetzung/Anomalien.html">Anomalien</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Umsetzung/Normalformen.html">Normalisierung und Normalformen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Umsetzung/Uebung_Normalisierung.html">Übung Normalisierung</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/Umsetzung/Zusammenfassung.html">Zusammenfassung</a>
            </div>
            <button class="dropdown-btn">Die Abfragesprache SQL
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/SQL/Grundlagen.html">Grundlagen SQL</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/SQL/DML.html">Datenanweisungen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/SQL/Aggregatfunktionen.html">Aggregatfunktionen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/SQL/JOIN.html">Der natürliche Verbund</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/SQL/UPDATE.html">Veränderung des Datenbestands</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/SQL/DDL.html">Schemaanweisungen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Datenbanken/SQL/Zusammenfassung.html">Zusammenfassung</a>
            </div>
        </div>
        <button class="dropdown-btn">Rechnernetze
            <i class="fa fa-caret-down"></i>
        </button>
        <div class="dropdown-container" style="display: none;">
            <button class="dropdown-btn">Überblick
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Grundlagen/Grundlagen.html">Grundlagen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Grundlagen/Netze.html">Netze</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Grundlagen/Schichten.html">Schichten</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Grundlagen/Architekturen.html">Architekturen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Grundlagen/Glossar.html">Glossar</a>
            </div>
            <button class="dropdown-btn">Anwendungsschicht
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Anwendungsschicht/Dienste.html">Dienste</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Anwendungsschicht/Protokolle.html">Protokolle</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Anwendungsschicht/WWW.html">Das World Wide Web</a>
            </div>
            <button class="dropdown-btn">Transport- und Internetschicht
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Internetschicht/Grundlagen.html">Grundlagen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Transportschicht/Transportprotokolle.html">Transportprotokolle</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Internetschicht/IP.html">Das Internetprotokoll</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Internetschicht/Internetspiel.html">Internetspiel</a>
            </div>
            <button class="dropdown-btn">Exkurs Webprogrammierung
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Webprogrammierung/Ressourcen.html">Ressourcen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Webprogrammierung/Struktur.html">Struktur und Layout</a>
                <a href="{{ data 'domain_root' }}/Informatik/Rechnernetze/Webprogrammierung/Funktionalität.html">Funktionalität</a>
            </div>
        </div>
        <button class="dropdown-btn"> Formale Sprachen und Automaten
            <i class="fa fa-caret-down"></i>
        </button>
        <div class="dropdown-container" style="display: none;">
            <button class="dropdown-btn"> Grundlagen
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Grundlagen/Einfuehrung.html">Einführung</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Grundlagen/Beispiele.html">Beispiele</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Grundlagen/SyntaxSemantik.html">Syntax und Semantik</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Grundlagen/Anwendungen.html">Anwendungen formaler Sprachen</a>
            </div>
            <button class="dropdown-btn"> Sprachen
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Sprachen/Alphabet.html">Alphabet</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Sprachen/Woerter.html">Wörter und Sprachen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Sprachen/Regex.html">Reguläre Ausdrücke</a>
            </div>
            <button class="dropdown-btn"> Grammatiken
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Grammatiken/Grundlagen.html">Was ist eine Grammatik?</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Grammatiken/Termersetzung.html">Termersetzung</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Grammatiken/Chomsky.html">Chomsky Hierarchie</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Grammatiken/Zusammenfassung.html">Zusammenfassung</a>
            </div>
            <button class="dropdown-btn"> Automaten
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Automaten/Endliche_Automaten.html">Endliche Automaten</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Automaten/Beispiel.html">Ein Beispielautomat</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Automaten/NEA.html">Nichtdeterministische endlichen Automaten (NEA)</a>
                <a href="{{ data 'domain_root' }}/Informatik/Formale_Systeme/Automaten/Zusammenfassung.html">Zusammenfassung</a>
            </div>
        </div>
        <button class="dropdown-btn">Algorithmen / Datenstrukturen
            <i class="fa fa-caret-down"></i>
        </button>
        <div class="dropdown-container" style="display: none;">
            <button class="dropdown-btn">Grundlagen
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Grundlagen/Ueberblick.html">Überblick</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Grundlagen/Berechenbarkeit.html">Berechenbarkeit</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Grundlagen/Turingmaschine.html">Turingmaschine</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Grundlagen/Effizienz.html">Effizienz und Komplexität</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Grundlagen/Laufzeit.html">Laufzeit von Algorithmen</a>
            </div>
            <button class="dropdown-btn">Datenstrukturen
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Datenstrukturen/Ueberblick.html">Überblick</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Datenstrukturen/Listen.html">Listen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Datenstrukturen/Graphen.html">Graphen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Datenstrukturen/Baeume.html">Bäume</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Datenstrukturen/Zusammenfassung.html">Zusammenfassung</a>
            </div>
            <button class="dropdown-btn">Algorithmen
                <i class="fa fa-caret-down"></i>
            </button>
            <div class="dropdown-container" style="display: none;">
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Algorithmen/Ueberblick.html">Überblick</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Algorithmen/Rekursion.html">Rekursion</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Algorithmen/Sortieren.html">Sortieren</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Algorithmen/Suchen.html">Suchen</a>
                <a href="{{ data 'domain_root' }}/Informatik/Algorithmen/Algorithmen/Zusammenfassung.html">Zusammenfassung</a>
            </div>
        </div>
        <a href="{{ data 'domain_root' }}/Hinweise.html">Hinweise</a>
        <a href="{{ data 'domain_root' }}/Referenzen.html">Referenzen</a>
        <a href="{{ data 'domain_root' }}/Impressum.html">Impressum</a>
    </div>
</div>
